Getting Started

Sections

Theme switcher

Marketing Channels (new)

Header Parameters

api-keystring

Query Parameters

domainstring Required

Enter website of interest, without 'www.' or brackets {}

granularitystring

Time granularity for the returned values

Enum values:
dailyweeklymonthly
countrystring

Two-letter country code (e.g., 'us', 'gb', 'ww')

start_datestring

Start date in 'YYYY-MM' or 'YYYY-MM-DD' format or relative keywords: latest, X_months_ago, X_days_ago

end_datestring

End date in 'YYYY-MM' or 'YYYY-MM-DD' format or relative keywords: latest, X_months_ago, X_days_ago

web_sourcestring

The device/platform the traffic is coming from

Enum values:
desktopmobile_webtotal
mtdboolean

When 'true', end_date is set to the latest available days' data (month-to-date). To use, set granularity to 'daily'

main_domain_onlyboolean

True' will include only the main domain, 'false' will include subdomains. Default is 'false'

formatstring

Format in which the reply should be returned

Enum values:
jsonxml

Response

200
Object

{ "meta": { "request": { "format": "json", "domain": "asos.com", "granularity": "monthly", "country": "ww", "start_date": "2026-05-01", "end_date": "2026-05-31", "web_source": "desktop", "mtd": false, "main_domain_only": false }, "status": "success", "last_updated": "2026-05-31" }, "data": [ { "date": "2026-05-01", "source_type": "Affiliates", "visits": 830060.493 }, { "date": "2026-05-01", "source_type": "Direct", "visits": 4412557.352 }, { "date": "2026-05-01", "source_type": "Display Ads", "visits": 204585.588 }, { "date": "2026-05-01", "source_type": "Gen AI", "visits": 116377.452 }, { "date": "2026-05-01", "source_type": "Mail", "visits": 551946.666 }, { "date": "2026-05-01", "source_type": "Organic Search", "visits": 4633722.401 }, { "date": "2026-05-01", "source_type": "Organic Social", "visits": 566171.049 }, { "date": "2026-05-01", "source_type": "Paid Search", "visits": 3487417.942 }, { "date": "2026-05-01", "source_type": "Paid Social", "visits": 157127.471 }, { "date": "2026-05-01", "source_type": "Referrals", "visits": 438726.876 } ] }

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?
View as Markdown

Ask an AI

Open in ChatGPTOpen in ClaudeOpen in Perplexity

Code with AI

Open in Copilot